Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.batchadapter.alerts.batch
Class BatchAlertUtil

    java.lang.Object
      com.stc.connector.batchadapter.alerts.batch.BatchAlertUtil

    public class BatchAlertUtil

extends java.lang.Object

Author:
  jim.fu@sun.com TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`static java.lang.String` | `MONITOR_KEY`

Constructor Summary
`BatchAlertUtil()`

Method Summary
`static java.lang.String` | `getMessage(java.lang.String aKey)`
`static java.lang.String` | `getMessage(java.lang.String aKey, java.lang.Object[] aParams)`
`static void` | `main(java.lang.String[] args)`
`static void` | `sendAlert(java.util.Map aMap, java.lang.String aKey, int severity)`
`static void` | `sendAlert(java.util.Map aMap, java.lang.String aKey, java.lang.Object[] aParams, int severity)`
`static void` | `sendAlert(java.util.Map aMap, java.lang.String aCode, java.lang.String aKey, java.lang.String[] aParams, int severity)`
`static void` | `sendAlert(com.stc.connector.management.util.ObjectReference aMonitor, java.lang.String aKey, int severity)`
`static void` | `sendAlert(com.stc.connector.management.util.ObjectReference aMonitor, java.lang.String aKey, java.lang.Object[] aParams, int severity)`
`static void` | `sendAlert(com.stc.connector.management.util.ObjectReference aMonitor, java.lang.String aCode, java.lang.String aKey, java.lang.String[] aParams, int severity)`
`static void` | `sendAlertErrMsg(java.util.Map aMap, java.lang.String msg, int severity)`
`static void` | `sendAlertErrMsg(com.stc.connector.management.util.ObjectReference aMonitor, java.lang.String msg, int severity)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MONITOR_KEY

    public static final java.lang.String MONITOR_KEY

See Also:
  Constant Field Values

Constructor Detail

### BatchAlertUtil

    public BatchAlertUtil()

Method Detail

### sendAlert

    public static void sendAlert(com.stc.connector.management.util.ObjectReference aMonitor,
                                 java.lang.String aKey,
                                 java.lang.Object[] aParams,
                                 int severity)

### sendAlertErrMsg

    public static void sendAlertErrMsg(com.stc.connector.management.util.ObjectReference aMonitor,
                                       java.lang.String msg,
                                       int severity)

### sendAlert

    public static void sendAlert(com.stc.connector.management.util.ObjectReference aMonitor,
                                 java.lang.String aCode,
                                 java.lang.String aKey,
                                 java.lang.String[] aParams,
                                 int severity)

### sendAlert

    public static void sendAlert(com.stc.connector.management.util.ObjectReference aMonitor,
                                 java.lang.String aKey,
                                 int severity)

### sendAlert

    public static void sendAlert(java.util.Map aMap,
                                 java.lang.String aKey,
                                 java.lang.Object[] aParams,
                                 int severity)

### sendAlert

    public static void sendAlert(java.util.Map aMap,
                                 java.lang.String aCode,
                                 java.lang.String aKey,
                                 java.lang.String[] aParams,
                                 int severity)

### sendAlert

    public static void sendAlert(java.util.Map aMap,
                                 java.lang.String aKey,
                                 int severity)

### sendAlertErrMsg

    public static void sendAlertErrMsg(java.util.Map aMap,
                                       java.lang.String msg,
                                       int severity)

### getMessage

    public static java.lang.String getMessage(java.lang.String aKey)

### getMessage

    public static java.lang.String getMessage(java.lang.String aKey,
                                              java.lang.Object[] aParams)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD